import { Calendar } from '../calendar';
import { MonthCalendar } from '../month-calendar/month-calendar';
import { YearCalendar } from '../year-calendar/year-calendar';
export declare class DisplayState {
    calendar: Calendar;
    constructor(calendar: Calendar);
    generate(): void;
    goPrev(): void;
    goNext(): void;
}
export declare class DateState {
    calendar: Calendar;
    constructor(calendar: Calendar);
    generateCalendar(): void;
    goPrevMonth(): void;
    private setTransitionCalendar;
    private appendNewCalendar;
    private translateMonth;
    removeUnusedCalendar(focussedCalendar: CXSingleCalendar.Ref): void;
    createSingleCalendar(type: 'previous' | 'next', focusedCalendar: CXSingleCalendar.Ref): import("../single-calendar/single-calendar").SingleCalendar;
    goNextMonth(): void;
}
export declare class MonthState {
    calendar: Calendar;
    mothDisplayRef?: MonthCalendar;
    constructor(calendar: Calendar);
    goPrevYear(): void;
    goNextYear(): void;
}
export declare class YearState {
    calendar: Calendar;
    yearDisplayRef?: YearCalendar;
    constructor(calendar: Calendar);
    goPrevYearGroup(): void;
    goNextYearGroup(): void;
}
