import { PopoverPositionType } from '../../../popover/types/popover.types';
import { PositionType } from './positionReverseOverScreen';
import { SidePopoverType } from './sidePopoverAppear';
export type PositionResult = {
    translate: string;
    sideChecked: SidePopoverType;
    positionChecked: PositionType;
};
export declare class PopoverPosition {
    private positionType;
    private hostRect;
    private popoverContent;
    private resizeEntry;
    private separatedPositionType;
    private popoverSet;
    private popoverRect?;
    constructor(positionType: PopoverPositionType, hostRect: DOMRect, popoverContent: HTMLElement, resizeEntry: ResizeObserverEntry, separatedPositionType: [PositionType, SidePopoverType], popoverSet: CXPopover.Set);
    private getPopoverRect;
    getResult(): Promise<PositionResult>;
    private setNewPositionType;
    private checkSide;
    private checkCenteredSide;
    private checkRightSide;
    private checkLeftSide;
    private checkBottomSide;
    private checkTopSide;
    private checkPosition;
    private setPopoverRect;
    private getPosition;
    private checkTransform;
}
