import '../../../transition/transition';
export declare const debouceTimerPopoverResize = 200;
export declare class PopoverState {
    #private;
    static POPOVER_SLOT_DISABLED: string;
    static POPOVER_SLOT_OPEN: string;
    private hostRect;
    private positionType;
    private popoverContent;
    private popoverHost;
    private resizeObserver;
    private popoverSet;
    private content;
    private separatedPositionType;
    private delayWhenOldPopoverExist;
    private setPopoverClosedDone;
    open(popoverContent: HTMLElement, hostRect: DOMRect, popoverSet: CXPopover.Set, popoverHost: HTMLElement, triggerEvent: Event): this;
    private clearTooltip;
    private onEvent;
    private setPositionWithResizeEvent;
    private unObserveResizeEvent;
    private setPopoverContentAppendToModal;
    private setMouseleaveEvent;
    private setProperties;
    private setContentTabindex;
    setPosition(resizeEntry: ResizeObserverEntry): Promise<void>;
    private setArrowpoint;
    private setArrowTranslate;
    private setArrowPositionTypeAttr;
    private calcArrowPosition;
    private setFocusOutEventListener;
    private setIsFirstUpdate;
    private removeMouseEvent;
    closePopover: (e: MouseEvent | FocusEvent | null) => Promise<void>;
    private setPopoverContentAnimation;
    private appendContentBackToRoot;
    private setContentInlineBlock;
    private setPopoverContentOpacity;
}
