import { ChooseLangDialogCaller } from './functions/modal-callers/choose-lang-dialog.caller';
import { DecideDialogCaller } from './functions/modal-callers/decide-dialog.caller';
import { SnackbarCaller } from './functions/modal-callers/snackbar.caller';
import '../components/snackbar/snackbar';
import '../components/dialog/templates/decide-dialog/decide-dialog';
import { PopoverCaller } from './functions/modal-callers/popover.caller';
export declare class ModalCaller {
    static snackbar(config: CXSnackbar.Set): SnackbarCaller;
    static decideDialog(config: CXDecideDialog.Set): DecideDialogCaller;
    static chooseLangDialog(): ChooseLangDialogCaller;
    static popover(): PopoverCaller;
}
