import { ChooseLangDialogCaller } from './functions/modal-callers/choose-lang-dialog.caller';
import { DecideDialogCaller } from './functions/modal-callers/decide-dialog.caller';
import { SnackbarCaller } from './functions/modal-callers/snackbar.caller';
import '../components/snackbar/snackbar';
import '../components/dialog/templates/decide-dialog/decide-dialog';
import { PopoverCaller } from './functions/modal-callers/popover.caller';
export class ModalCaller {
    static snackbar(config) {
        return new SnackbarCaller(config);
    }
    static decideDialog(config) {
        return new DecideDialogCaller(config);
    }
    static chooseLangDialog() {
        return new ChooseLangDialogCaller();
    }
    static popover() {
        return new PopoverCaller();
    }
}
//# sourceMappingURL=ModalCaller.js.map