import { Ref } from 'lit/directives/ref';
import { SnackbarModalSlot } from '../../snackbar/types/snackbar.types';
export declare class SnackbarState {
    static readonly SNACKBAR_SLOT_DISABLED = "snackbar-disabled";
    private readonly SNACKBAR_ENABLED;
    private snackbarSlot?;
    private snackbarTimeStart?;
    private snackbarTimeEnd?;
    open: (detail: {
        slotRef: Ref<HTMLSlotElement>;
        slotName: SnackbarModalSlot;
    }) => void;
    private startTransition;
    private setSnackbarPosition;
    private setSnackbarSlotName;
    private toggleSnackbarClasses;
    private enabledSnackbarClass;
    private disabledSnackbarClass;
    private transitionEndSnackbar;
    private clearSnackbarTimeout;
}
